export interface User {
  id: number | null;
  email: string | null;
  name: string | null;
  status: string | null;
}

export interface FormUser extends User {
  password?: string;
  confirmPassword?: string;
}

export interface UserRole {
  id?: number;
  name: string;
  isAdministrator: boolean;
}

export interface UserApiRequest {
  id: number | null;
  email: string;
  name: string;
  status: string;
}
