import React from 'react';
import { RouteComponentProps } from '@reach/router';
import { Header } from '../Header';

type DashboardProps = RouteComponentProps;

const Layout: React.FC<DashboardProps> = ({ children }) => {
  return (
    <>
      <Header />

      {children}
    </>
  );
};

export default Layout;
